#include <iostream>

using namespace std;

template <class T>
int getValueArray(T* dst,const char* src,const char* format,int cnt)
{
    char* p=(char*)src;
    int i=0;
    bool done=false;
    while (*p && !done)
    {
        // skip whitespaces
        while (*p==' ' || *p=='\t' || *p=='\n') p++;

        if (!sscanf(p,format,dst+i))
            done=true;
        else // skip past the scanned data
        {
            i++;
            while (*p!=' ' && *p!='\t' && *p!='\n' && *p!=0 ) p++;
        }
    }
    return i;
}


int main()
{
    TiXmlDocument doc( "geometry/box.dae" );
	if (!doc.LoadFile())
    {
        cout << "Load Failed!" << endl;
        return 1;
    }
    return 0;
}
